# `CryptoMiniSat_jll.jl` (v5.11.4+0)

[![deps](https://juliahub.com/docs/CryptoMiniSat_jll/deps.svg)](https://juliahub.com/ui/Packages/CryptoMiniSat_jll/IHNdo?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/1cbcbe6435f7b2d0fe51d4415e12022a388c8cff/C/CryptoMiniSat/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `CryptoMiniSat_jll.jl` have been built from these sources:

* git repository: https://github.com/msoos/cryptominisat.git (revision: `219a457501fd0796bd871bd6b3735b130598430c`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/1cbcbe6435f7b2d0fe51d4415e12022a388c8cff/C/CryptoMiniSat/bundled)

## Platforms

`CryptoMiniSat_jll.jl` is available for the following platforms:

* `macOS aarch64 {mpi=mpich}` (`aarch64-apple-darwin-mpi+mpich`)
* `macOS aarch64 {mpi=mpitrampoline}` (`aarch64-apple-darwin-mpi+mpitrampoline`)
* `macOS aarch64 {mpi=openmpi}` (`aarch64-apple-darwin-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`aarch64-linux-gnu-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`aarch64-linux-gnu-cxx03-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`aarch64-linux-gnu-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`aarch64-linux-gnu-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`aarch64-linux-gnu-cxx11-mpi+mpitrampoline`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`aarch64-linux-gnu-cxx11-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl, mpi=mpich}` (`aarch64-linux-musl-cxx03-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx03, libc=musl, mpi=openmpi}` (`aarch64-linux-musl-cxx03-mpi+openmpi`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl, mpi=mpich}` (`aarch64-linux-musl-cxx11-mpi+mpich`)
* `Linux aarch64 {cxxstring_abi=cxx11, libc=musl, mpi=openmpi}` (`aarch64-linux-musl-cxx11-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`armv6l-linux-gnueabihf-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-cxx03-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`armv6l-linux-gnueabihf-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-cxx11-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, mpi=mpich}` (`armv6l-linux-musleabihf-cxx03-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, mpi=openmpi}` (`armv6l-linux-musleabihf-cxx03-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, mpi=mpich}` (`armv6l-linux-musleabihf-cxx11-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, mpi=openmpi}` (`armv6l-linux-musleabihf-cxx11-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`armv7l-linux-gnueabihf-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-cxx03-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`armv7l-linux-gnueabihf-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`armv7l-linux-gnueabihf-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-cxx11-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`armv7l-linux-gnueabihf-cxx11-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, mpi=mpich}` (`armv7l-linux-musleabihf-cxx03-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx03, libc=musl, mpi=openmpi}` (`armv7l-linux-musleabihf-cxx03-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, mpi=mpich}` (`armv7l-linux-musleabihf-cxx11-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, cxxstring_abi=cxx11, libc=musl, mpi=openmpi}` (`armv7l-linux-musleabihf-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`i686-linux-gnu-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`i686-linux-gnu-cxx03-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`i686-linux-gnu-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`i686-linux-gnu-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`i686-linux-gnu-cxx11-mpi+mpitrampoline`)
* `Linux i686 {cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`i686-linux-gnu-cxx11-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl, mpi=mpich}` (`i686-linux-musl-cxx03-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx03, libc=musl, mpi=openmpi}` (`i686-linux-musl-cxx03-mpi+openmpi`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl, mpi=mpich}` (`i686-linux-musl-cxx11-mpi+mpich`)
* `Linux i686 {cxxstring_abi=cxx11, libc=musl, mpi=openmpi}` (`i686-linux-musl-cxx11-mpi+openmpi`)
* `Windows i686 {cxxstring_abi=cxx03, mpi=microsoftmpi}` (`i686-w64-mingw32-cxx03-mpi+microsoftmpi`)
* `Windows i686 {cxxstring_abi=cxx11, mpi=microsoftmpi}` (`i686-w64-mingw32-cxx11-mpi+microsoftmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`powerpc64le-linux-gnu-cxx03-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-cxx03-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`powerpc64le-linux-gnu-cxx03-mpi+openmpi`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`powerpc64le-linux-gnu-cxx11-mpi+mpich`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-cxx11-mpi+mpitrampoline`)
* `Linux powerpc64le {cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`powerpc64le-linux-gnu-cxx11-mpi+openmpi`)
* `macOS x86_64 {mpi=mpich}` (`x86_64-apple-darwin-mpi+mpich`)
* `macOS x86_64 {mpi=mpitrampoline}` (`x86_64-apple-darwin-mpi+mpitrampoline`)
* `macOS x86_64 {mpi=openmpi}` (`x86_64-apple-darwin-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, mpi=mpich}` (`x86_64-linux-gnu-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, mpi=mpitrampoline}` (`x86_64-linux-gnu-cxx03-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=glibc, mpi=openmpi}` (`x86_64-linux-gnu-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, mpi=mpich}` (`x86_64-linux-gnu-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, mpi=mpitrampoline}` (`x86_64-linux-gnu-cxx11-mpi+mpitrampoline`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc, mpi=openmpi}` (`x86_64-linux-gnu-cxx11-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl, mpi=mpich}` (`x86_64-linux-musl-cxx03-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx03, libc=musl, mpi=openmpi}` (`x86_64-linux-musl-cxx03-mpi+openmpi`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl, mpi=mpich}` (`x86_64-linux-musl-cxx11-mpi+mpich`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl, mpi=openmpi}` (`x86_64-linux-musl-cxx11-mpi+openmpi`)
* `FreeBSD x86_64 {mpi=mpich}` (`x86_64-unknown-freebsd-mpi+mpich`)
* `FreeBSD x86_64 {mpi=openmpi}` (`x86_64-unknown-freebsd-mpi+openmpi`)
* `Windows x86_64 {cxxstring_abi=cxx03, mpi=microsoftmpi}` (`x86_64-w64-mingw32-cxx03-mpi+microsoftmpi`)
* `Windows x86_64 {cxxstring_abi=cxx11, mpi=microsoftmpi}` (`x86_64-w64-mingw32-cxx11-mpi+microsoftmpi`)

## Dependencies

The following JLL packages are required by `CryptoMiniSat_jll.jl`:

* [`MPICH_jll`](https://github.com/JuliaBinaryWrappers/MPICH_jll.jl)
* [`MPIPreferences`](https://github.com/JuliaBinaryWrappers/MPIPreferences.jl)
* [`MPItrampoline_jll`](https://github.com/JuliaBinaryWrappers/MPItrampoline_jll.jl)
* [`MicrosoftMPI_jll`](https://github.com/JuliaBinaryWrappers/MicrosoftMPI_jll.jl)
* [`OpenMPI_jll`](https://github.com/JuliaBinaryWrappers/OpenMPI_jll.jl)
* [`SQLite_jll`](https://github.com/JuliaBinaryWrappers/SQLite_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)
* [`boost_jll`](https://github.com/JuliaBinaryWrappers/boost_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libcryptominisat5`
* `LibraryProduct`: `libipasircryptominisat5`
* `ExecutableProduct`: `cryptominisat5`
* `ExecutableProduct`: `cryptominisat5_simple`
